// Copyright (C) 2016 The Qt Company Ltd.
// SPDX-License-Identifier: LicenseRef-Qt-Commercial

#ifndef TESTARRAYARGUMENT_H
#define TESTARRAYARGUMENT_H
#include <QtCore/QObject>

class TestArrayArgument : public QObject
{
    Q_OBJECT
private slots:
    void testArrayArgumentWithSizeDefinedByInteger();
    void testArraySignature();
    void testArrayArgumentWithSizeDefinedByEnumValue();
    void testArrayArgumentWithSizeDefinedByEnumValueFromGlobalEnum();
};

#endif
